aboutsummaryrefslogtreecommitdiff
path: root/scripts/patch-kernel
diff options
context:
space:
mode:
authorErkki Lintunen <ebirdie@iki.fi>2008-08-06 22:11:33 +0200
committerSam Ravnborg <sam@ravnborg.org>2008-08-06 22:11:33 +0200
commit0758416325dc75e203ab974aa5e937bef7d2afef (patch)
tree120861950152b48933b25e5c37c8d3d34910f0a0 /scripts/patch-kernel
parent7a48bdd01b5cab9c043b4d42a3f377624d6259f2 (diff)
downloadlinux-linaro-0758416325dc75e203ab974aa5e937bef7d2afef.tar.gz
bugfix for scripts/patch-kernel in 2.6 sublevel stepping
scripts/patch-kernel script can't patch a tree, say, from 2.6.25 to 2.6.26.1, because of a wrong comparison in context of patching 2.6.x base. Fix it. Acked-by: Randy Dunlap <randy.dunlap@oracle.com> Signed-off-by: Andrew Morton <akpm@linux-foundation.org> Signed-off-by: Sam Ravnborg <sam@ravnborg.org>
Diffstat (limited to 'scripts/patch-kernel')
-rwxr-xr-xscripts/patch-kernel3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/patch-kernel b/scripts/patch-kernel
index ece46ef0ba5..46a59cae3a0 100755
--- a/scripts/patch-kernel
+++ b/scripts/patch-kernel
@@ -213,6 +213,7 @@ fi
if [ $stopvers != "default" ]; then
STOPSUBLEVEL=`echo $stopvers | cut -d. -f3`
STOPEXTRA=`echo $stopvers | cut -d. -f4`
+ STOPFULLVERSION=${stopvers%%.$STOPEXTRA}
#echo "#___STOPSUBLEVEL=/$STOPSUBLEVEL/, STOPEXTRA=/$STOPEXTRA/"
else
STOPSUBLEVEL=9999
@@ -249,7 +250,7 @@ while : # incrementing SUBLEVEL (s in v.p.s)
do
CURRENTFULLVERSION="$VERSION.$PATCHLEVEL.$SUBLEVEL"
EXTRAVER=
- if [ $stopvers = $CURRENTFULLVERSION ]; then
+ if [ $STOPFULLVERSION = $CURRENTFULLVERSION ]; then
echo "Stopping at $CURRENTFULLVERSION base as requested."
break
fi